<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.angular2.entities.source.Angular2SourceEntityListProcessor Angular2SourceEntityListProcessor(java.lang.Class&lt;T&gt;, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo com.intellij.openapi.util.TextRange getDeclarationRange()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty java.util.List&lt;com.intellij.psi.PsiElement&gt; getSources()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityBase Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Angular2SourceFieldDirectiveProperty Angular2SourceFieldDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceStandalonePseudoModule">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.17011.79&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityBase.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceModule symbolCollector">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceSymbolCollectorBase boolean isForwardRefEntity()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceStandalonePseudoModule.SourceEntitiesCollector SourceEntitiesCollector(java.lang.Class&lt;T&gt;, com.intellij.lang.javascript.psi.ecma6.TypeScriptVariable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.17011.79&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty Angular2SourceDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourcePipe">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Angular2SourceFieldDirectiveProperty Angular2SourceFieldDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolQualifiedKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Angular2SourceFieldDirectiveProperty Angular2SourceFieldDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolQualifiedKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityListProcessor void processNonAcceptableEntityClass(com.intellij.lang.javascript.psi.ecmal4.JSClass)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceModule Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective.Companion java.util.List&lt;com.intellij.lang.javascript.psi.ecmal4.JSAttributeListOwner&gt; getPropertySources$intellij_angular(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective.Companion java.util.List&lt;com.intellij.lang.javascript.psi.ecmal4.JSAttributeListOwner&gt; getPropertySources$intellij_angular(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceHostDirectiveWithMappings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Angular2SourceMappedDirectiveProperty Angular2SourceMappedDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolQualifiedKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement, com.intellij.psi.PsiElement, com.intellij.openapi.util.TextRange)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Angular2SourceMappedDirectiveProperty Angular2SourceMappedDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolQualifiedKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement, com.intellij.psi.PsiElement, com.intellij.openapi.util.TextRange)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceUtil org.angular2.entities.source.Angular2PropertyInfo createPropertyInfo(com.intellij.lang.javascript.psi.JSCallExpression, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective java.util.List&lt;com.intellij.lang.javascript.psi.ecmal4.JSAttributeListOwner&gt; getPropertySources$intellij_angular(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective java.util.List&lt;com.intellij.lang.javascript.psi.ecmal4.JSAttributeListOwner&gt; getPropertySources$intellij_angular(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveVirtualProperty">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.5153.38&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty Angular2SourceDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolQualifiedKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty Angular2SourceDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolQualifiedKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveAttribute Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceSymbolCollectorBase void setForwardRefEntity(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveAttribute.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo Angular2PropertyInfo(java.lang.String, boolean, com.intellij.psi.PsiElement, com.intellij.psi.PsiElement, com.intellij.openapi.util.TextRange, com.intellij.psi.PsiElement, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8770.65&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo com.intellij.openapi.util.TextRange component5()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceComponent">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty com.intellij.lang.javascript.psi.JSRecordType.PropertySignature getSignature()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveAttribute java.lang.Boolean getRequired()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.25410.109&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntity com.intellij.lang.javascript.psi.stubs.JSImplicitElement getImplicitElement()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective.Companion java.util.List&lt;com.intellij.lang.javascript.psi.ecmal4.JSAttributeListOwner&gt; getPropertySources$intellij_angular_backend(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveVirtualProperty Angular2SourceDirectiveVirtualProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.polySymbols.PolySymbolKind, org.angular2.entities.source.Angular2PropertyInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceSymbolCollectorBase com.intellij.psi.util.CachedValueProvider.Result&lt;R&gt; collect(com.intellij.lang.javascript.psi.ecma6.TypeScriptVariable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.17011.79&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityListProcessor void processAcceptableEntity(T)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveVirtualProperty Angular2SourceDirectiveVirtualProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.polySymbols.PolySymbolQualifiedKind, org.angular2.entities.source.Angular2PropertyInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveVirtualProperty Angular2SourceDirectiveVirtualProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.polySymbols.PolySymbolQualifiedKind, org.angular2.entities.source.Angular2PropertyInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceUtil org.angular2.entities.source.Angular2PropertyInfo createPropertyInfo(com.intellij.lang.javascript.psi.JSCallExpression, java.util.List&lt;java.lang.String&gt;, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityListProcessor void processAnyElement(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective java.util.List&lt;com.intellij.lang.javascript.psi.ecmal4.JSAttributeListOwner&gt; getPropertySources$intellij_angular_backend(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveVirtualProperty Angular2SourceDirectiveVirtualProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.polySymbols.PolySymbolQualifiedKind, java.lang.String, boolean, com.intellij.psi.PsiElement, com.intellij.openapi.util.TextRange, com.intellij.lang.javascript.psi.JSObjectLiteralExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.131&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveVirtualProperty Angular2SourceDirectiveVirtualProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.polySymbols.PolySymbolQualifiedKind, java.lang.String, boolean, com.intellij.psi.PsiElement, com.intellij.openapi.util.TextRange, com.intellij.lang.javascript.psi.JSObjectLiteralExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo org.angular2.entities.source.Angular2PropertyInfo copy(java.lang.String, boolean, com.intellij.psi.PsiElement, com.intellij.psi.PsiElement, com.intellij.openapi.util.TextRange, com.intellij.psi.PsiElement, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceSymbolCollectorBase Angular2SourceSymbolCollectorBase(java.lang.Class&lt;T&gt;, com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty com.intellij.lang.javascript.psi.JSType getTypeFromSignal()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.15989.150&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty com.intellij.lang.javascript.psi.JSType getTransformParameterType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo boolean component7()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveAttribute">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.8026.42&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceUtil.FakeStringLiteral FakeStringLiteral(com.intellij.psi.PsiElement, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty com.intellij.psi.PsiElement getDeclarationSource()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDeclaration">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo boolean isSignalProperty()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.30387.90&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveVirtualProperty Angular2SourceDirectiveVirtualProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.polySymbols.PolySymbolKind, java.lang.String, boolean, com.intellij.psi.PsiElement, com.intellij.openapi.util.TextRange, com.intellij.lang.javascript.psi.JSObjectLiteralExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceHostDirectiveWithoutMappings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective.Companion org.angular2.entities.Angular2DirectiveKind getDirectiveKindNoCache(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, org.angular2.entities.Angular2DirectiveSelector)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.15989.150&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Companion org.angular2.entities.source.Angular2SourceDirectiveProperty create(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolKind, org.angular2.entities.source.Angular2PropertyInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo com.intellij.psi.PsiElement getNameElement()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo com.intellij.psi.PsiElement component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo com.intellij.psi.PsiElement component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo com.intellij.psi.PsiElement component6()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntity com.intellij.model.Pointer&lt;T&gt; createPointer(kotlin.jvm.functions.Function2&lt;? super com.intellij.lang.javascript.psi.ecma6.ES6Decorator,? super com.intellij.lang.javascript.psi.stubs.JSImplicitElement,? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceModule.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirective org.angular2.entities.Angular2DirectiveKind getDirectiveKindNoCache(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, org.angular2.entities.Angular2DirectiveSelector)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.15989.150&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceSymbolCollectorBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Companion org.angular2.entities.source.Angular2SourceDirectiveProperty create(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolQualifiedKind, org.angular2.entities.source.Angular2PropertyInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Companion org.angular2.entities.source.Angular2SourceDirectiveProperty create(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolQualifiedKind, org.angular2.entities.source.Angular2PropertyInfo)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityListProcessor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo com.intellij.psi.PsiElement getDeclarationSource()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceModule.SourceEntitiesCollector SourceEntitiesCollector(java.lang.Class&lt;T&gt;, com.intellij.lang.javascript.psi.ecma6.ES6Decorator)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceModule">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntitiesSource">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityListProcessor void processCacheDependency(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.7141.44&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo com.intellij.psi.PsiElement getDeclaringElement()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityBase T getLazyValue(com.intellij.openapi.util.Key&lt;T&gt;, kotlin.jvm.functions.Function0&lt;? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntityBase T getNullableLazyValue(com.intellij.openapi.util.Key&lt;T&gt;, kotlin.jvm.functions.Function0&lt;? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2PropertyInfo java.lang.String getName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceDirectiveProperty.Angular2SourceMappedDirectiveProperty Angular2SourceMappedDirectiveProperty(com.intellij.lang.javascript.psi.ecma6.TypeScriptClass, com.intellij.lang.javascript.psi.JSRecordType.PropertySignature, com.intellij.polySymbols.PolySymbolKind, java.lang.String, boolean, boolean, com.intellij.psi.PsiElement, com.intellij.psi.PsiElement, com.intellij.openapi.util.TextRange)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="org.angular2.entities.source.Angular2SourceEntity">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.4139.22&quot;"/>
    </annotation>
  </item>
</root>
